# Visualization
TKV3d
DsgPrs

# DsgPrs_IdenticPresentation Class Reference

`#include <DsgPrs_IdenticPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &aPntAttach, const gp_Pnt &aPntOffset)
| draws a line between <apntattach> and <apntoffset>.
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset)
| draws the 'identic' presentation by drawing a line between <afattach> and <asattach> , and a linkimg segment between <apntoffset> and its projection on the precedent line.
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Ax2 &aAx2, const gp_Pnt &aCenter, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset)
| draws the 'identic' presentation in the case of circles : draws an arc of circle between <afattach> and <asattach> of center <acenter> and of radius dist(aCenter, aFAttach), and draws a segment between <apntoffset> and its projection on the arc.
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Ax2 &aAx2, const gp_Pnt &aCenter, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset, const gp_Pnt &aPntOnCirc)
| draws the 'identic' presentation in the case of circles : draws an arc of circle between <afattach> and <asattach> of center <acenter> and of radius dist(aCenter, aFAttach), and draws a segment between <apntoffset> and <apntoncirc>
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Elips &anEllipse, const gp_Pnt &aFAttach, const gp_Pnt &aSAttach, const gp_Pnt &aPntOffset, const gp_Pnt &aPntOnElli)
| draws the 'identic' presentation in the case of ellipses: draws an arc of the anEllipse between <afattach> and <asattach> and draws a segment between <apntoffset> and <apntonelli>

## Member Function Documentation

static Standard_EXPORT void DsgPrs_IdenticPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Elips & | anEllipse,
|  | const gp_Pnt & | aFAttach,
|  | const gp_Pnt & | aSAttach,
|  | const gp_Pnt & | aPntOffset,
|  | const gp_Pnt & | aPntOnElli
| ) | `[static]`

static Standard_EXPORT void DsgPrs_IdenticPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Ax2 & | aAx2,
|  | const gp_Pnt & | aCenter,
|  | const gp_Pnt & | aFAttach,
|  | const gp_Pnt & | aSAttach,
|  | const gp_Pnt & | aPntOffset,
|  | const gp_Pnt & | aPntOnCirc
| ) | `[static]`

static Standard_EXPORT void DsgPrs_IdenticPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Ax2 & | aAx2,
|  | const gp_Pnt & | aCenter,
|  | const gp_Pnt & | aFAttach,
|  | const gp_Pnt & | aSAttach,
|  | const gp_Pnt & | aPntOffset
| ) | `[static]`

static Standard_EXPORT void DsgPrs_IdenticPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | aFAttach,
|  | const gp_Pnt & | aSAttach,
|  | const gp_Pnt & | aPntOffset
| ) | `[static]`

static Standard_EXPORT void DsgPrs_IdenticPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | aPntAttach,
|  | const gp_Pnt & | aPntOffset
| ) | `[static]`

void DsgPrs_IdenticPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_IdenticPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_IdenticPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_IdenticPresentation.hxx